Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.handler
Class SOAPHeaderLoggerHandler

    java.lang.Object
      be.ehealth.technicalconnector.handler.AbstractSOAPHandler
          be.ehealth.technicalconnector.handler.SOAPHeaderLoggerHandler

All Implemented Interfaces:
  Handler<SOAPMessageContext>, SOAPHandler<SOAPMessageContext>

    public class SOAPHeaderLoggerHandler

extends AbstractSOAPHandler

This handler will print the content of the SOAPHeader specified in the configuration. The format of the soap header element is {namespace-uri}local-name.

Constructor Summary
`SOAPHeaderLoggerHandler()`

Method Summary
`boolean` | `handleFault(SOAPMessageContext ctx)`
`boolean` | `handleMessage(SOAPMessageContext ctx)`

Methods inherited from class be.ehealth.technicalconnector.handler.AbstractSOAPHandler
`close, dumpMessage, getHeaders, handleInbound, handleOutbound`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPHeaderLoggerHandler

    public SOAPHeaderLoggerHandler()

Method Detail

### handleMessage

    public boolean handleMessage(SOAPMessageContext ctx)

  Specified by:
    `handleMessage` in interface `Handler<SOAPMessageContext>`
  Overrides:
    `handleMessage` in class `AbstractSOAPHandler`

### handleFault

    public boolean handleFault(SOAPMessageContext ctx)

  Specified by:
    `handleFault` in interface `Handler<SOAPMessageContext>`
  Overrides:
    `handleFault` in class `AbstractSOAPHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.25.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.